*Updated for Valheim patch 0.214.2 (3/13)*
## Valheim Defenders
One day, waves of enemies will come to attack your base. Start building these new elemental versions of the ballista to defend it.

Valheim Defenders adds elemental variations of the ballista. There are mini and normal size and a new micro size ballista. The new ballistae do elemental damage: Ice, Fire, Poison and Lightning. They each do some elemental damage of their type and adds the corresponding status effect to the target.  ex: Ice Ballista does frost damage and adds the frost slowing effect.

*** Ballistae can be found in the 'Defenders' tab in the hammer menu. ***

## Installation
Requires BepInEx and Jotunn

## Features
### *NEW* Ice Tower
- Shoots 3 icy ice bolts!
- Spawns ice blockers on the ground!
- AOE and slows enemies!


### Fireball Tower
- Shoots fireballs!
- AOE!
- Looks neat!

### New Elemental Ballistae
- Mini and Normal sizes
- Unlimited Ammo - no reloading
- Wider shooting angles.
- No Friendly Fire
- Small amount of pierce damage plus elemental damage

(Vanilla ballista still works exactly the same, still shoots friendlies unless trophy is used, still requires ammo. Compatible with FriendlyBallista mod if you want the vanilla ballista to not shoot you.)

#### Micro Ballista
- Shoots 5 darts at a time
- Effective against bats, deathsquitos and other small critters

##### Build Cost:
- 2 Fine Wood
- 2 Silver
- 2 Iron Nails
- 1 Chain


#### Mini Elemental Ballistae
Four elemental types, each costs: 
- 5 Fine Wood
- 3 Silver
- 5 Iron Nails

plus: 
- 1 Freeze Gland for Mini Ice Ballista
- 1 Surtling Core for Mini Fire Ballista
- 1 Ooze for Mini Poison Ballista
- 1 Crystal for Mini Lightning Ballista


#### Normal Sized Elemental Ballistae
##### Build Costs
 - 10 Yggdrasil Wood
 - 5 Black Metal
 - 3 Mechanical Spring
 - Plus 3 of the corresponding elemental resources; Ice Ballista - 3 Freeze Gland, etc.


## Changelog
0.2.3
- Fixed issues with Patch 0.214.2
- Added hover-text to Ballistae and Towers
- (preview) Firing modes for Towers, cylce with Interact key

0.2.2
- Fixed an issue causing Fireball Tower to have placement always blocked
- Updated Fireball Tower model
- Ice Tower should also be easier to place now

0.2.1
- New Ice Tower: shoots 3 frost bolts that spawn ice blockers when they hit the ground

0.2.0
- New Fireball Tower
- New ballistae bolt visual effects
- Increased gravity effect on projectiles for more pronounced arcs

0.1.5
- Increased Accuracy: projectiles now arc properly to hit targets at a distance
- fixed reloading animation: ballistae will not display a bolt when loaded
- slightly reduced firing rates and increased pierce damage
- Micro Ballista dart volley spread increased
- Lightning ballistae accuracy increased

0.1.4
- New Micro Ballista: shoots 5 small darts at a time
- Fixed issue prevent mod from loading on servers

0.1.3
- Fixed a compatibility issue with More Defenses mod.

0.1.2
- Added normal sized ballistae: Ice Ballista, Fire Ballista, Poison Ballista, Lightning Ballista.
- Increased turning rate for mini sized ballistae.

0.1.1
- *** Important: Moved ballistae to 'Defenders' tab in the hammer menu. ***
- Added visual effects to ballistae and bolts.

## Roadmmap
- Elemental effects for the bolts - partially done using existing arrows
- Better hammer menu icons
- Mega Ballista
- Magical cannons and other types of turrets